@import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Raleway';
    line-height: 1.5;
    --color-background: #2e2e2e;
    --color-secundario: #b0b0b0;
    --color-terceario: #b58e87;
    --color-logo: #8ea5b1;
    --color-letra: #fdf6ef;
}

html {
    scroll-behavior: smooth;
    height: 100%; /* Ensure full height for centering */
}

body {
    background-color: var(--color-background);
    color: var(--color-letra);
    height: 100%; /* Ensure full height for centering */
    margin: 0; /* Ensure no default margins interfere */
    padding: 0; /* Ensure no default padding interferes */
}

/* 01 - SECTION HEADER */
header {
    z-index: 999;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 70px 15px 70px;
    transition: 0.5s ease;
}

.main-logo {
    width: 110px;
    z-index: 9999;
}

header .navigation {
    position: relative;
}

header .navigation .navigation-items a {
    position: relative;
    color: var(--color-letra);
    font-size: clamp(1em, 1.1vw, 1.2em);
    font-weight: 300;
    text-decoration: none;
    margin-left: 30px;
    transition: 0.3s ease;
}

header .navigation .navigation-items a:before {
    content: '';
    position: absolute;
    background: var(--color-letra);
    width: 0;
    height: 1px;
    bottom: 0;
    left: 0;
    transition: 0.3s ease;
}

header .navigation .navigation-items a:hover:before {
    width: 100%;
}

header .menu-horizontal {
    list-style: none;
    display: flex;
    justify-content: space-between;
}

header .menu-horizontal > li > a {
    display: block;
    color: var(--color-letra);
}

.menu-vertical {
    position: absolute;
    display: none;
    list-style: none;
    width: auto;
    background-color: transparent;
    margin: auto;
    width: auto;
    padding: 20px;
    font-size: 1em;
}

.menu-horizontal li:hover .menu-vertical {
    display: block;
}

.menu-vertical li a {
    display: block;
    color: var(--color-letra);
    margin-top: 15px;
}

/* 01 - SECTION HEADER */
/* 02 - SECTION HOME */
section {
    padding: 100px 70px;
}

.home {
    position: relative;
    width: 100%;
    min-height: 100vh;
    display: flex;
    justify-content: center;
    flex-direction: column;
    background-color: var(--color-background);
    overflow: hidden;
    box-sizing: border-box;
}

.home:before {
    z-index: 777;
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: rgba(10, 5, 5, 0.4);
}

.home .content {
    z-index: 888;
    color: var(--color-letra);
    width: 70%;
    margin-top: 50px;
}

.home .content h1 {
    font-size: clamp(4em, 6vw, 4.5em);
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 5px;
    line-height: 75px;
    margin-bottom: 40px;
}

.home .content p {
    margin-bottom: 65px;
    font-size: clamp(1.1em, 1.2vw, 1.5em);
    max-width: 450px;
}

.home .content a {
    background: #0009;
    padding: 12px 30px;
    color: var(--color-letra);
    border: 1px solid var(--color-logo);
    font-size: 0.7em;
    font-weight: 500;
    text-decoration: none;
}

.home .media-icons {
    position: absolute;
    right: 70px;
    display: flex;
    flex-direction: column;
    transition: 0.5s ease;
    z-index: 9999;
}

.home .media-icons a {
    color: var(--color-letra);
    font-size: 1.2em;
    transition: 0.3s ease;
}

.home .media-icons a:not(:last-child) {
    margin-bottom: 25px;
}

.home .media-icons a:hover {
    transform: scale(1.3);
}

.home video {
    z-index: 000;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.slider-navigation {
    z-index: 888;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    transform: translateY(80px);
    margin-bottom: 12px;
}

.slider-navigation .nav-btn {
    width: 12px;
    height: 12px;
    background: var(--color-secundario);
    border-radius: 50%;
    cursor: pointer;
    box-shadow: 0 0 2px rgba((45, 35, 35, 0.5));
    transition: 0.3s ease;
}

.slider-navigation .nav-btn.active {
    background: var(--color-terceario);
}

.slider-navigation .nav-btn:not(:last-child) {
    margin-right: 25px;
}

.slider-navigation .nav-btn:hover {
    transform: scale(1.5);
}

/* 02 - SECTION HOME MEDIA */
@media (max-width: 1180px) {
    header {
        padding: 15px 35px;
    }
    /* .main-logo {
        width: 120px;
    } */
    section {
        padding: 100px 35px;
    }
    .home .media-icons {
        right: 35px;
    }
    header .navigation {
        display: none;
    }
    header .navigation.active {
        position: fixed;
        width: 100%;
        height: 100vh;
        top: 0;
        left: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: #000;
    }
    header .navigation .navigation-items a {
        font-size: 1.2em;
        margin: 0px 0px 22px 0px;
    }
    header .navigation .navigation-items a:before {
        background: var(--color-letra);
        height: 1px;
    }
    header .navigation .navigation-items .menu-vertical a {
        margin: 10px;
        font-size: 1em;
    }
    header .navigation.active .navigation-items .menu-horizontal {
        margin: 20px;
        padding: 40px;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .menu-horizontal li:hover .menu-vertical {
        background: transparent;
        height: auto;
        background: #0009;
    }
    .menu-btn {
        background: url(./img/MenuH.svg) no-repeat;
        background-size: 30px;
        background-position: center;
        width: 25px;
        height: 20px;
        cursor: pointer;
        transition: 0.5s ease;
    }
    .menu-btn.active {
        z-index: 999;
        background: url(./img/MenuX.svg) no-repeat;
        background-size: 25px;
        background-position: center;
        transition: 0.5s ease;
    }
    .home .media-icons {
        position: absolute;
        z-index: 9999;
    }
}

@media (max-width: 610px) {
    header {
        padding: 15px;
    }
    section {
        padding: 100px 15px;
    }
    .menu-vertical {
        font-size: clamp(0.5em, 2vw, 0.6em);
        height: inherit;
        margin-bottom: 20px;
        overflow: hidden;
    }
    .home .content h1 {
        font-size: 3.8em;
    }
    .home .content p {
        font-size: 1.1em;
        margin-bottom: 40px;
    }
    .home .media-icons {
        right: 20px;
        font-size: 1em;
    }
    .home .content a {
        padding: 10px 25px;
        font-size: 0.8em;
    }
    header .navigation .navigation-items .menu-vertical a {
        margin: 5px;
        font-size: 1.6em;
    }
}

/* 02 - SECTION HOME MEDIA */
/* 02 - SECTION HOME */
/* DATA*/
/* 03 - SECTION ABOUT */
.section-data {
    padding: 50px 10px;
}
.data {
    width: 100%;
    align-items: center;
    border: 10px solid var(--color-background);
    box-sizing: border-box;
    overflow: hidden;
    animation: move-up scroll ease forwards;
}

.main-profile {
    align-items: center;
    border: 10px solid var(--color-background);
}

.about-profile {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.container-title {
    display: flex;
    justify-content: center;
    padding: 0px 0px 70px ;
}

.title {
    font-size: clamp(1.5em, 2vw, 2em);
    font-weight: 400;
    line-height: 1.3;
    color: var(--color-letra);
    text-align: center;
}
.about-ivan {
    font-size: clamp(1.1em, 1vw, 1.8em);
    line-height: 1.6;
    font-weight: 600;
    text-align: center;
    color: var(--color-terceario);
    padding: 20px 5px 0px;
}
.logos-work {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.work-profesional-data {
    color: var(--color-letra);
    justify-content: center;
}

.work-profesional-data h3 {
    text-transform: uppercase;
    font-size: clamp(1.3em, 1.7vw, 1.5em);
    font-weight: 400;
    line-height: 2;
    text-align: center;
    color: var(--color-terceario);
    padding: 35px 0;
}

.work-profesional-data p {
    font-size: clamp(1em, 1.6vw, 1.1em);
    text-align: left;
    align-items: center;
    line-height: 2;
    font-weight: 200;
}

@keyframes slide {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-85%);
    }
}

@keyframes move-up {
    from {
        transform: translateY(20px); /* Posición inicial, desplazada hacia abajo */
        opacity: 0; /* Transparencia inicial */
    }
    to {
        transform: translateY(0); /* Posición final */
        opacity: 1; /* La imagen se hace completamente visible */
    }
}

.image-container img.animate-image {
    animation: move-up 1.5s ease forwards; /* Activar animación */
}

.logos {
    overflow: hidden;
    padding: 50px 10px 0;
    white-space: nowrap;
    position: relative;
}

.logos:hover .logos-slide {
    animation-play-state: paused;
}

.logos-slide {
    animation: 50s slide infinite linear;
    display: inline-block;
}

.logos-slide img {
    height: 50px;
    margin: 0px 0px 0px 30px;
}

@media (max-width: 500px) {
    /* .logos {
        padding: 90px 0 0 0;
    } */
    .logos-slide img {
        height: 40px;
        padding: 1px;
    }
}

@media (max-width: 350px) {
    .logos-slide img {
        height: 35px;
    }
}

/* MEDIA 03 - SECTION ABOUT */

@media (max-width: 800px) {
    .logos-work {
        width: 100%;
    }
    .work-profesional-data h3 {
        font-weight: 400;
        line-height: 1.5;
        text-align: center;
    }
}

@media (max-width: 410px) {
    .main-profile {
        border: 5px solid var(--color-background);
    }
    .text-container {
        padding: 0;
    }
    .work-profesional-data {
        padding: inherit;
    }
}

@media (max-width: 480px) {
    .logos-work {
        width: 100%;
    }
    .work-profesional-data h3 {
        font-size: clamp(1.2em, 2vw, 1.5em);
        line-height: 1.5;
    }
}

/* MEDIA 03 - SECTION ABOUT */
/* 03 - SECTION ABOUT */
/* 04 - SECTION SERVICES */
.services {
    display: flex;
    flex-direction: column;
    text-align: left;
    width: 100%;
    padding: 20px 0 0px;
}

.container-title-services h2 {
    font-size: clamp(1.4em, 2vw, 2em);
    font-family: 'Raleway';
    text-align: left;
    text-transform: uppercase;
    padding: 10px 5px;
    font-weight: 400;
}

.container-text-services p {
    text-align: left;
    font-size: clamp(1em, 1.6vw, 1.1em);
    line-height: 1.6;
    margin-bottom: 60px;
    font-weight: 200;
    padding: 5px;
}

.options-services .container-services-data {
    text-align: center;
    align-items: center;
    justify-content: center;
    max-width: 370px;
}

.services .options-services {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 30px;
}

.services .options-services .container-services-data .container-img-tittle {
    position: relative;
    height: fit-content;
    margin: 10px;
    /* cursor: pointer; */
}

.services .options-services .container-services-data .container-img-tittle img {
    width: 100%;
    display: block;
}

.services .options-services .container-services-data p {
    font-size: clamp(1em, 1.6vw, 1.1em);
    font-weight: 100;
    margin-bottom: 50px;
    line-height: 1.5;
    text-align: left;
    padding: 10px;
}

.services .options-services .container-services-data a {
    color: var(--color-logo);
    font-weight: 500;
    text-decoration: none;
}

.services .options-services .container-services-data .container-img-tittle .overlay {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    text-align: center;
    background: linear-gradient(rgba(46, 46, 46, 0.8), rgba(46, 46, 46, 0.8));
    display: flex;
    flex-direction: column;
    justify-content: center;
    opacity: 0;
    color: var(--color-letra);
    cursor: auto;
    transition: opacity 1s ease-out;
}

.services .options-services .container-services-data .container-img-tittle .overlay h3 {
    margin-bottom: 20px;
    font-family: 'Raleway';
    font-weight: 200;
    font-size: clamp(.8rem, 1vw, 1em);
    margin-left: 30px;
    margin-right: 30px;
    user-select: none;
}

.services .options-services .container-services-data .container-img-tittle .overlay:hover {
    opacity: 1;
}

.services .options-services .container-services-data .container-img-tittle .overlay:hover h3 {
    margin-bottom: 0px;
}

/* 04 - SECTION SERVICES */
/* 05 - SECTION PORTFOLIO */
.portfolio {
    display: flex;
    flex-direction: column;
    width: 100%;
    padding: 0px 0 20px;
}

.portfolio h2 {
    font-size: clamp(1.4em, 2vw, 2em);
    font-family: 'Raleway';
    text-align: left;
    text-transform: uppercase;
    padding: 10px 5px;
    font-weight: 400;
    margin-bottom: 60px;
}

.portfolio .galeria {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 30px;
}

.galeria .container-portfolio-data {
    text-align: center;
    align-items: center;
    justify-content: center;
    max-width: 440px;
}

.portfolio .galeria .container-portfolio-data .container-portfolio-tittle {
    position: relative;
    max-width: 600px;
    height: fit-content;
    margin: 10px;
    cursor: pointer;
}

.portfolio .galeria .container-portfolio-data .container-portfolio-tittle img {
    width: 100%;
    display: block;
}

.portfolio .galeria .container-portfolio-data p {
    font-size: clamp(1em, 1.6vw, 1.1em);
    font-weight: 100;
    margin-bottom: 50px;
    line-height: 1.5;
    text-align: left;
    padding: 10px;
}

.portfolio .galeria .container-portfolio-data .container-portfolio-tittle .overlay {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    text-align: center;
    background: linear-gradient(rgba(46, 46, 46, 0.8), rgba(46, 46, 46, 0.8));
    display: flex;
    flex-direction: column;
    justify-content: center;
    transition: 1s;
    font-size: 18px;
    letter-spacing: 3px;
    opacity: 0;
    text-decoration: none;
}

.portfolio .galeria .container-portfolio-data .container-portfolio-tittle .overlay p{
    margin-bottom: 20px;
    transition: 1s;
    font-size: clamp(.8rem, 1vw, 1em);
    font-weight: 300;
    color: var(--color-letra);
    text-align: center;
    text-decoration: none;
    align-self: center;
}

.portfolio .galeria .container-portfolio-data .container-portfolio-tittle .overlay:hover {
    opacity: 1;
}

.portfolio .galeria .container-portfolio-data .container-portfolio-tittle .overlay:hover p {
    margin-bottom: 0px;
}

/* 05 - SECTION PORTFOLIO */
/* 06 - SECTION CONTACT */
.contact {
    background: url(./img/contact.png) no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    padding: 0;
    display: flex;
    flex-direction: column; 
    justify-content: center;
    overflow: hidden;
    box-sizing: border-box;
}

.contact .section-data-contact {
    max-width: 1290px;
    margin: 0 auto; /* Center the section */
    justify-content: center;
    width: 100%; /* Ensure it takes full width */
}

.contact h2 {
    font-size: clamp(1.4em, 2vw, 2em);
    font-family: 'Raleway';
    text-align: left;
    text-transform: uppercase;
    font-weight: 400;
    padding: 10px; /* Adjusted padding */
    margin: 0; /* Remove margin interference */
}

.contact .fila {
    display: flex;
    justify-content: center; /* Center horizontally */
    align-items: center; /* Center vertically */
    min-height: calc(100vh - 140px); /* Account for h2 height */
    flex-direction: column; /* Ensure elements stack vertically */
    width: 100%; /* Full width */
    margin: 0; /* Remove margin interference */
}

.contact .col {
    width: 100%;
    position: relative;
    padding: 0 30px;
    display: flex; /* Use flex for centering */
    flex-direction: column; /* Stack children vertically */
    align-items: center; /* Center children horizontally */
    max-width: 500px; /* Constrain form width */
}

.contact .col input, .contact .col textarea {
    display: block;
    width: 100%;
    max-width: 400px; /* Limit width for better centering */
    padding: 20px;
    border: none;
    margin: 10px 0; /* Adjusted margin for consistent spacing */
}

.contact #turnstile-container {
    width: 300px; /* Match Turnstile's default width */
    margin: 20px auto !important; /* Center horizontally with higher priority */
    text-align: center !important; /* Ensure widget content is centered */
}

.contact button {
    cursor: pointer;
    background-color: #0009;
    border: 2px solid var(--color-logo);
    width: fit-content;
    display: block;
    margin: 25px auto;
    padding: 10px 70px;
    font-size: 16px;
    color: var(--color-letra);
    position: relative;
    z-index: 10;
    align-self: center; /* Center the button */
    width: 100%; /* For consistency */
    max-width: 400px; /* Match input width for alignment */
}

.contact button .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background-color: var(--color-terceario);
    z-index: -1;
    transition: 1s;
}

.contact button:hover .overlay {
    width: 100%;
}

/* 06 - SECTION CONTACT */
/* 07 - SECTION FOOTER */
footer {
    padding: 70px 0px;
    text-align: center;
    position: relative;
    width: 100%;
    font-size: clamp(0.5em, 1vw, 0.7em);
}

.up {
    background-color: #0009;
    display: block;
    width: 50px;
    height: 50px;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    color: var(--color-letra);
    top: -25px;
    border-radius: 50%;
    line-height: 50px;
    font-size: 30px;
}

.footer-ivelgo, .developed-profile {
    font-size: 1em;
    text-decoration: none;
    color: var(--color-secundario);
}

/* 07 - SECTION FOOTER */

/* MEDIA SECTION - 05 - 06 - 07 */
@media screen and (max-width: 950px) {
    .galeria .container-portfolio-data  {
        max-width: 370px;
    }
}
@media screen and (max-width: 810px) {
    .options-services .container-services-data {
        max-width: 240px;
    }
    .galeria .container-portfolio-data  {
        max-width: 240px;
    }
}

@media screen and (max-width: 610px) {
    .services .options-services .container-services-data .container-img-tittle .overlay-active {
        opacity: 0;
    }

    .services .options-services .container-services-data .container-img-tittle .overlay h3 {
        margin-bottom: 20px;
        opacity: 1;
        transition: 1s;
    }
}

@media screen and (min-width: 611px) {
    .services .options-services .container-services-data .container-img-tittle .overlay:hover {
        margin-bottom: 20px;
        opacity: 0;
    }

    .services .options-services .container-services-data .container-img-tittle .overlay:hover h3 {
        opacity: 1;
        transition: 1s;
    }
}

@media screen and (max-width: 550px) {
    .options-services .container-services-data {
        max-width: none;
    }
    .galeria .container-portfolio-data {
        max-width: none;
    }
    .services .options-services .container-services-data p {
        margin-bottom: 5px;
    }
    .portfolio .galeria .container-portfolio-data p {
        margin-bottom: 5px;
    }
    .portfolio h2 {
        margin-bottom: 30px;
    }
    .container-title-services h2 {
        padding: 0px 5px 10px;
    }
    .container-text-services p {
        margin-bottom: 30px;
    }
    .container-title {
        padding: 0px 0px 60px;
    }
    .services {
        padding: 0px 0 20px;
    }
    .portfolio {
        padding: 20px 0 40px;
    }
    .container-contact h2 {
        padding: 30px 3px 20px;
    }
}
@media screen and (max-width: 700px) {
    .portfolio .galeria {
        width: 100%;
    }
    .portfolio .galeria .proyect-portfolio {
        max-width: 100%;
        padding: 40px 20px;
    }
    .portfolio .galeria .proyect-portfolio img {
        width: 100%;
    }
    /* .contact h2 {
        padding: 20px 30px;
        margin-bottom: 40px;
    } */
    .contact .fila {
        display: block;
        min-height: calc(100vh - 120px); /* Adjust for smaller h2 */
    }
    .contact .fila .col {
        width: 100%;
        padding: 0 30px;
    }
}

/* MEDIA SECTION - 05 - 06 - 07 */
/* DATA */



/* ARREGLOS PAGINA WEB */
/* 03- DATA */
.container-data-main-instructor {
    width: 100%;
    display: flex;
    flex-direction: row;
}
.container-one-main {
    width: 50%;
}
.container-one-main img {
    width: 100%;
}
.picture-width {
    padding: 0 10px 0 0px;
}
.text-width {
    padding: 0 0 0 10px;
}
.container-two-main p {
    font-size: clamp(1em, 1.6vw, 1.1em);
    text-align: left;
    align-items: center;
    line-height: 2;
    font-weight: 200;
}

@media (max-width: 950px) {
    .container-data-main-instructor {
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .container-one-main {
        width: 100%;
        padding: 0px 5px;
    }
    .about-ivan {
        text-align: left;
        font-weight: 500;
    }
    .text-main{
        padding: 70px 0px 0px;
    }
    .picture-width {
        padding: 0;
    }
    .text-width {
        padding: 25px 0 0 0;
    }
}

/* 03- DATA */
/* 06- CONTACT */
.contact {
    color: var(--color-letra);
}
.container-contact h2 {
    font-size: clamp(1.4em, 2vw, 2em);
    font-family: 'Raleway';
    text-align: left;
    text-transform: uppercase;
    padding: 60px 3px 20px;
    font-weight: 400;
}
.hero {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px 10px;
}
form {
    display: flex;
    flex-direction: column;
    width: 90%;
    max-width:900px;
    align-items: center;
    justify-content: center;
    margin: auto;
    color: var(--color-letra);
}
.input-group{
    width: 100%;
    margin-bottom: 40px;
    position: relative;
}
input, textarea {
    width: 100%;
    padding: 20px 10px;
    outline: 0;
    border: none;
    border-bottom: 1px solid #2c2c2c;
    background-color: #0008;
    font-size: 1em;
    color: var(--color-letra);
}
label {
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    padding: 10px;
    cursor: text;
    font-weight: 300;
    transition: 0.2s;
}
button {
    padding: 15px 10px;
    outline: none;
    border: none;
    border-bottom:1px solid #2c2c2c;;
    border-right: 1px solid #2c2c2c;
    width: 50%;
}
input:focus~label,
input:valid~label,
textarea:focus~label,
textarea:valid~label,
input:focus~label,
input:valid~label{
    top:-35px;
    font-size: 0.9em;
}
.input-email:focus~.label-email,
.input-email:valid~.label-email {
    top:-35px;
    font-size: 0.9em;

}
.row {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.row .input-group {
    flex-basis: 80%;
}
@media (max-width: 880px) {
    button {
        width: 100%;
    }
    .hero {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
}
/* 06- CONTACT */
/* ARREGLOS PAGINA WEB */
